# Lab 5 - Management VLAN
> ***Objectives:***  
> - Use Lab 03 setup
> - Create Switch `SWC`
> - Merge Lab 04
> - Assign IP addresses to `SW1-4`
> - Assign IP address to `SWC`
> - Create user on each networking device

## Adding SWC
Configure `SWC`:
```sh
enable
configure terminal
hostname SWC

exit
exit
disable
exit
```

Configure routers replacing `{x}` with the number of the router:
```sh
enable
configure terminal

interface fastEthernet 0/1
ip address 10.123.0.{x} 255.255.0.0
no shutdown

exit
exit
disable
exit
```

## Assign IP Addresses
On SW1-4 replace `{x}` with the corresponding switch number:

```sh
enable
configure terminal

interface vlan 10
ip address 10.10.10.{x} 255.255.0.0

exit
exit
disable
exit
```

On `SWC` configure the following:

```sh
enable
configure terminal

interface vlan 1
ip address 10.123.0.4 255.255.0.0
no shutdown

exit
exit
disable
exit
```

## Gateway for SWC
On SWC:
```sh
enable
configure terminal
ip default-gateway 10.123.0.3
exit
exit
disable
exit
```

On EE:

```sh
enable
configure terminal
ip route 10.10.0.0 255.255.0.0 10.123.0.1
ip route 10.10.0.0 255.255.0.0 10.123.0.2

exit
exit
disable
exit
```

## Enable SSH Root Access
On all devices:
```sh
enable
configure terminal

username moucha privilege 15 secret cisco
ip domain-name moucha.org

line vty 0 15
transport input ssh
login local

exit
exit
disable
exit
```

On Switches:
```sh
enable
configure terminal
crypto key generate rsa general-keys modulus 4096
exit
exit
disable
exit
```

On Routers:
```sh
enable
configure terminal
crypto key generate rsa general-keys modulus 2048
exit
exit
disable
exit
```
